# !/usr/bin/python
# -*- coding: utf-8 -*-
#
##################################################################################
#
#    This program is part of OSRFramework. You can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##################################################################################

tld = {
    ".h4ck.me",
    # A sample from: https://freedns.afraid.org/domain/registry/
    ".0x.no",
    ".100mountain.com",
    ".10x.es",
    ".120v.ac",
    ".1337.cx",
    ".150watt.ru",
    ".24-7.ro",
    ".2fine.de",
    ".2ku.ru",
    ".2p.fm",
    ".3c4d.net",
    ".3dxtras.com",
    ".3n.cc",
    ".3trust.com",
    ".404.mn",
    ".4040.idv.tw",
    ".49b.uk",
    ".4twenty.us",
    ".688.org",
    ".69.mu",
    ".7s.com.tr",
    ".8634.su",
    ".a01.ca",
    ".abuser.eu",
    ".ac2.ac",
    ".adagio.tw",
    ".agila.com.br",
    ".agropeople.ru",
    ".aintno.info",
    ".airlinemeals.net",
    ".ais-salzburg.at",
    ".ajctm.ac",
    ".alagrupa.com",
    ".albertn.ru",
    ".alexlan.org",
    ".all.my",
    ".allez.la",
    ".allisons.org",
    ".allowed.org",
    ".alveaelectric.com",
    ".americajhon.com.pe",
    ".americhip.ru",
    ".amurt.org.uk",
    ".anal-slavery.com",
    ".ananda.net.ve",
    ".aneisa.com",
    ".annaffiare.org",
    ".anonymous.lv",
    ".antongorbunov.com",
    ".antrak.org.tr",
    ".apsis.ch",
    ".arcprojects.ru",
    ".art-works.ro",
    ".asenov.ru",
    ".asianfreshproduce.com",
    ".ask2ask.com",
    #".aspserver.net",
    ".astrabus.ru",
    ".asu.mx",
    ".auraria.org",
    ".australia.ai",
    ".austria-escort.at",
    ".awiki.org",
    ".ax.it",
    ".ax.lt",
    ".b33r.us",
    ".babypos.hk",
    ".bad.mn",
    ".bagus.org",
    ".bakli.ru",
    ".baltijalv.lv",
    ".bandweite.de",
    ".barge-online.com",
    ".beerprojects.com",
    ".benjamin.it",
    ".bep.co.id",
    ".bertmillernatureclub.org",
    ".bestforever.com",
    ".bgdsupport.com",
    ".bhms.com",
    ".bigbox.info",
    ".bil-nasalab.com",
    ".bine.me",
    ".biotx.biz",
    ".birdriver.org",
    ".biz.tm",
    ".blinklab.com",
    ".blizzie.net",
    ".blogs.or.id",
    ".bloom.us",
    ".blue-jade.net",
    ".bluemoon.com.vn",
    ".bmvl.ru",
    ".bnaz.org",
    ".bnpt.go.id",
    ".bot.nu",
    ".bouncers4rent.com",
    ".boxathome.net",
    ".brawlcustommusic.com",
    ".byte4byte.com",
    ".bzpo.ru",
    ".caledonianlab.com",
    ".catsy.org",
    ".caturelang.co.id",
    ".cc.net.br",
    ".ccc.org.mx",
    ".ccmissoula.com",
    ".cda.md",
    ".cdvi.ro",
    ".celebsplay.com",
    ".chebicon.ru",
    ".chickenkiller.com",
    ".chipmeup.com",
    ".clink.biz",
    ".cloudwatch.net",
    ".cnr.com.pk",
    ".cnstefancelmare.ro",
    ".coalnet.ru",
    ".colegiotamandare.g12.br",
    ".colegiotorrevilano.es",
    ".compuinter.com",
    ".computersforpeace.net",
    ".compy.ca",
    ".continent.kz",
    ".coreytech.com",
    ".cpct.com",
    ".cpia.org.ar",
    ".cr.rs",
    ".crabdance.com",
    ".crackedsidewalks.com",
    ".crazycat.ro",
    ".cspro.biz",
    ".csproject.org",
    ".custom-gaming.net",
    ".cut3.name",
    ".cw03.ru",
    ".cys.ru",
    ".dagz.ru",
    ".dalk.ru",
    ".dark-byte.net",
    #".darknigger.com",
    ".darkworlds.org",
    ".datasource.ro",
    ".ddanciu.ro",
    #".ddos.im",
    ".dearabba.org",
    ".death-by-monkeys.com",
    ".dellsale.ru",
    ".deusexmachina.org",
    ".dhm.ro",
    ".digitalgroupe.com",
    ".diipl.com",
    ".diipl.in",
    ".divakeramika.com",
    ".dmtr.ru",
    ".dnet.hu",
    ".d-n-s.name",
    ".d-n-s.org.uk",
    ".dob.jp",
    ".donkeyhot.net",
    ".doomstuff.com",
    ".doskapozora.com",
    ".dp76.com",
    ".dream.org.il",
    ".drunkensailor.org",
    ".dyn.ch",
    ".dyn.mk",
    ".dynet.com",
    ".e.co.za",
    ".echoparklake.com",
    ".e-data.com.tr",
    ".edsonide.med.br",
    ".e-education.hk",
    ".elchemi.com",
    ".elitter.net",
    ".e-m-a-i-l.org",
    ".emakc.ru",
    ".embeddedonline.org",
    ".empresastaylor.com",
    ".encontronapracinha.com.br",
    ".endlessmovie.com",
    ".enemyterritory.org",
    ".entermypicks.com",
    ".eolicatalinay.cl",
    ".epbsoft.com",
    ".epicgamer.org",
    ".erke.biz.tr",
    ".erki.net",
    ".e-sluts.net",
    ".essexregional.org",
    ".etgr.ru",
    ".eurotank.ro",
    ".eva.hk",
    ".everton.com",
    ".evilrouter.com",
    ".evils.in",
    ".evs.net.br",
    ".eye.rs",
    ".ezfill.com",
    ".ezmangaforums.com",
    ".ezxdev.org",
    ".fairuse.org",
    ".falcongreen.com",
    ".farted.net",
    ".fasl.info",
    ".fatdiary.org",
    ".fearpenguins.com",
    ".fedea.com.ar",
    ".fin-tech.com",
    #".fisierulmeu.ro",
    ".fivepals.com",
    ".flat4free.com",
    ".flazzard.com",
    ".floripalondon.com",
    ".fol.cl",
    ".forss.to",
    #".fr.to",
    ".freebookspot.es",
    ".freesa.org",
    ".ftp.sh",
    ".fuck-off-o.org",
    ".funkar.nu",
    ".galipan.net.ve",
    ".gally.jp",
    ".ganino.com",
    ".garmanage.com",
    ".gayhotelsgreece.com",
    ".gayuser.info",
    ".gebish.org",
    ".gerastar.ru",
    ".ghostnation.org",
    ".gigaportal.pl",
    ".giveawaylisting.com",
    ".givemefish.com",
    ".god.jp",
    ".golf-club.ro",
    ".good.one.pl",
    ".good-newz.org",
    ".gorila.ro",
    ".gparente.net.br",
    ".grandmasgossip.com",
    ".gtk.cl",
    ".guardz.ru",
    ".guild-site.com",
    ".gurcanozturk.com",
    ".gw.lt",
    ".h0stname.net",
    ".h4ck.me",
    ".hacked.jp",
    ".hackquest.com",
    ".hackrz.org",
    ".haki.hk",
    ".hamradioonline.net",
    ".hamshack.info",
    ".handfolding.com",
    ".hanisch.com",
    ".happyforever.com",
    ".happyminecraft.com",
    ".happyminecraft.net",
    ".hashcube.com",
    ".hayeshelp.com",
    ".hbmc.net",
    ".heroinewarrior.com",
    ".hiddencorner.org",
    ".hijaxdesigns.com",
    ".hin.tw",
    ".hiprinter.com",
    ".hitremixes.com",
    ".hmail.us",
    ".hmao.pro",
    ".holylandshop.ru",
    ".home.kg",
    ".homelinuxserver.org",
    ".homenet.org",
    ".h-o-s-t.name",
    ".host2go.net",
    ".hpc.tw",
    ".hs.vc",
    ".hulichicken.com",
    ".hunnur.com",
    ".iantaylor.com",
    ".iceblaze.com",
    ".icfar.com",
    ".icx.ro",
    ".id.web.id",
    ".id-fb.fm",
    ".ig42.org",
    ".ignorelist.com",
    ".iiiii.info",
    ".ilgizvalinurov.ru",
    #".ilkor.com",
    ".imagespost.com",
    ".imagetemplate.com",
    ".imagetemplate.net",
    ".iminecraft.se",
    #".imly.org",
    ".india.sh",
    ".inedelya.ru",
    ".inet2.org",
    ".inflict.us",
    ".info.gf",
    ".info.tm",
    ".innograph.co.id",
    ".intec.es",
    ".ionexusa.com",
    ".ipv6.la",
    ".ircr.info",
    ".isltest.net",
    ".ismoke.hk",
    ".istanbulsafak.com",
    ".i-t.me",
    ".it-share.ro",
    ".iu4ever.org",
    ".ivc.cc",
    ".ivc.org.ar",
    ".ivi.pl",
    ".iz.rs",
    ".javafaq.nu",
    ".jcor.ca",
    ".jedimasters.net",
    ".jerkface.net",
    ".jesus.si",
    ".jobvolume.bg",
    ".joe.dj",
    ".joiavip.com.br",
    ".jpfiles.eu",
    ".juliacake.com.vn",
    ".jumpingcrab.com",
    ".jundy.org",
    ".k.vu",
    ".k22.su",
    ".kadirpolat.net.tr",
    ".kalbas.com.vn",
    ".kaleebso.com",
    ".kanda.ru",
    ".kaohsiung.tv",
    ".kawa-kun.com",
    ".kck-saratov.ru",
    ".kein.hk",
    ".kiani.com",
    #".kidgame.ru",
    ".kir22.ru",
    ".ko.tl",
    ".kompaniet.nu",
    ".kopi.co.id",
    ".krash.net",
    ".ksk-saratov.ru",
    ".kyrgyzstan.kg",
    ".l5.ca",
    ".lanas.cl",
    ".lazydalmatian.com",
    ".lee.mx",
    ".leecantu.com",
    ".legalmusicsearch.com",
    ".leitud.ee",
    ".leonardocastano.com.ar",
    ".lex.mn",
    ".linkin.tw",
    ".linux70.ru",
    ".livewave.ru",
    ".logisoft-cy.com",
    ".logos.g12.br",
    #".lolk.org",
    ".lovethosetrains.com",
    #".loyo.biz",
    ".luckyweaving.com",
    ".lwts.ru",
    ".macrofox.org",
    ".macsauto-indonesia.com",
    ".madhacker.biz",
    ".maersoft.com.ar",
    ".make.com.ar",
    #".makny.us",
    ".malam.or.id",
    ".maluwilz.lv",
    ".marieblazek.com",
    ".mashyk.ru",
    ".mcemerald.ro",
    ".mcsoft.org",
    ".medicost.org",
    ".megamovs.com",
    ".megatele.ru",
    ".menpera.go.id",
    ".mett.ru",
    ".mikata.ru",
    ".mindhackers.org",
    ".mine.bz",
    ".minecraftnoob.com",
    ".minecraftr.us",
    ".m-kopa.net",
    ".mm.my",
    ".moo.com",
    ".moonangel.com",
    ".mooo.com",
    ".mooo.info",
    ".morganisageek.org",
    ".movdivx.com",
    ".move2nz.com",
    ".movister.ru",
    ".mp3real.ru",
    ".mtrstore.com",
    ".multicop.com.ar",
    ".musterihizmetleri.com",
    ".mwop.net",
    ".my.to",
    ".mybrewbuddies.com",
    ".mychild.ug",
    ".mycloud.bz",
    ".mylogisoft.com",
    ".mysaol.com",
    ".myxop.com",
    ".nard.ca",
    ".naru.to",
    #".nashvillerollergirls.com",
    ".nav.co.id",
    ".nedvighimost-sochi.ru",
    ".neogene.ru",
    ".n-e-t.name",
    ".netlord.de",
    ".netmask.ca",
    ".nevalain.ru",
    ".nevskayaratusha.ru",
    ".newca.org",
    ".nhance.com",
    ".nlpd.net.au",
    ".nnc.ro",
    ".nonze.ro",
    ".notici.as",
    ".novgaz-rzn.ru",
    ".now.im",
    ".nrp.com.np",
    ".ns22.ru",
    ".nx.tc",
    ".oganilirkab.go.id",
    ".ohbah.com",
    ".ohi.tw",
    ".okzk.com",
    ".oldrussianmagic.com",
    ".olelukoie.ru",
    ".olife.org",
    ".oneindonesia.co.id",
    ".oo.fi",
    #".openoffcampus.com",
    ".opensrc.mx",
    ".opris.at",
    ".optimas.co.id",
    ".orenznakomstva.ru",
    ".ormy.ru",
    ".orskkino.ru",
    ".packetflood.net",
    ".packeting.eu",
    ".parikh.net",
    ".pass.fm",
    ".patelmortgage.com",
    ".pce-cihazlari.com.tr",
    ".pckf.com",
    ".peachyweb.com",
    ".pedie.info",
    ".philipkingsleyshop.ru",
    ".photo-cult.com",
    ".photo-frame.com",
    ".php-dev.net",
    ".pics.mu",
    ".pii.at",
    ".piki.si",
    ".pixelfucker.com",
    ".play.ai",
    ".playfv.com",
    #".playop.net",
    ".plnntt.co.id",
    ".plwgroup.com",
    ".pntl.tl",
    ".pogramkran.net",
    ".polissya.eu",
    ".porngo.at",
    ".port0.org",
    ".portalindustries.org",
    ".possessed.us",
    ".priamaakcia.sk",
    ".privatedns.org",
    ".privateimport.jp",
    ".procare.co.id",
    ".profinet.ro",
    ".progr.am",
    ".propharma.co.id",
    ".prostore.ru",
    ".psp-moscow.com",
    ".psybnc.org",
    #".publicserviceclub.com",
    ".punked.us",
    ".pwnz.org",
    ".qc.to",
    ".qlbv.vn",
    ".qualirede.com.br",
    ".quannhacvang.com",
    ".queerline.de",
    ".radioamator.ro",
    ".radiogirl.fm",
    ".raspberryip.com",
    ".raspberryip.org",
    ".rbb.org",
    ".rcrcc.ca",
    ".reason.org.nz",
    ".recyclesolutionsllc.com",
    ".remoteaccess.me",
    ".richlorenz.com",
    ".rilhas.com",
    ".rlstuff.net",
    ".rltk.org",
    ".rm6.org",
    ".rninvest.ru",
    ".ro.it",
    ".ro.lt",
    ".robinhud.com",
    ".robot-armies.com",
    ".rockingwranchinc.com",
    ".rock-n-roll.ru",
    ".romaliver.com",
    ".r-o-o-t.net",
    ".root.sx",
    ".roth.ca",
    ".routemehome.com",
    ".rpz.su",
    ".rukodelka.ru",
    ".ruok.org",
    ".russkoeumea.com",
    ".rwbcode.com",
    ".sadayuki.jp",
    ".sandmeiers.ch",
    ".sannon-stamm.com",
    ".sarah-lai.com",
    ".savage.nu",
    ".scay.net",
    ".sci123.com",
    ".scottlewisonline.com",
    ".scrapitsoftware.com",
    ".sdp-mos.ru",
    ".SEARCH",
    ".sektori.org",
    ".sen.org.nz",
    ".seo.id.lv",
    ".servernux.com",
    ".serverpit.com",
    ".sexmistrz.pl",
    ".sextube.ro",
    ".sheepindonesia.org",
    ".shen.cl",
    ".shitcunt.info",
    ".shogun.ca",
    ".shop.tm",
    ".shopper360.com.my",
    ".shoppingexpress.com.au",
    ".showmyhomes.com",
    ".silksky.com",
    ".sino.tw",
    ".skc.su",
    ".skies.tw",
    ".sky-cinema.ru",
    ".sly.io",
    ".smbb.ws",
    ".smelly.cc",
    ".smirt.ch",
    ".sne.jp",
    ".solfa.org",
    ".solidmation.com",
    ".solopos.co.id",
    ".soon.it",
    ".Sorted by: Popularity",
    ".spacescape.in",
    ".spacetechnology.net",
    ".spelar.se",
    ".spstali.ru",
    ".ssitech.bg",
    #".stalker.fi",
    #".stan.cn",
    ".star.is",
    ".starkom.ru",
    #".statescasinos.com",
    ".stes.fi",
    ".stfu-kthx.net",
    ".stocktester.ru",
    ".stoupin.ru",
    ".strangled.net",
    ".streame.tv",
    ".stroyexpert.org",
    ".stuns.org",
    ".suka.se",
    ".sumibi.org",
    ".surak.kz",
    ".surfnet.ca",
    ".sweetriders.com",
    ".swsc.org.np",
    ".sxn.us",
    ".syntereo.com",
    ".t28.net",
    ".t31.org",
    ".tacowolf.com",
    #".tagan-rog.info",
    ".taivas.biz",
    ".taiwans.tw",
    ".takeshi.cnt.br",
    #".tanah-aina.com",
    ".teakwondo.one.pl",
    ".techkriti.org",
    ".techniice.ro",
    ".technopagans.com",
    ".tecnova.com.br",
    ".tedx.ee",
    ".teh-server.com",
    ".tetuku.com",
    ".thc.lv",
    ".thcgirls.com",
    ".the-button.com",
    ".thegmc.com",
    ".thejordaans.com",
    ".thenme.net",
    ".thevaughts.net",
    ".thevirus.ro",
    ".threecanoes.com",
    ".tintira.com",
    ".tn.my",
    ".topdanang.com",
    #".tragazorras.com",
    ".tristancartledge.com",
    ".tru.io",
    ".trumgame.net",
    ".tth.cl",
    ".tuck.tw",
    ".tv-l.ru",
    ".tvlinux.com",
    ".twilightparadox.com",
    ".tzafrir.org.il",
    ".u888.cn",
    ".ucvradio.cl",
    ".ufodns.com",
    ".ugo.si",
    ".uk.ms",
    ".uk.to",
    ".ultimatedecision.lv",
    ".undo.it",
    ".unibutton.com",
    ".uplink.li",
    ".urca.tv",
    ".urist93.ru",
    ".us.to",
    ".uzhi.ru",
    ".uzid.com",
    ".vagfans.info",
    ".vankin.de",
    ".vctel.com",
    ".ve3.info",
    ".verymad.net",
    ".vietnam.ro",
    ".violates.me",
    ".violates.us",
    ".vistnet.net",
    ".vivat-consult.ru",
    ".vkagent.ru",
    ".voles35.ru",
    ".vomuan.com",
    ".vos.io",
    ".vpnx.nl",
    ".vr.lt",
    ".vxe6.net",
    ".wakingmoon.com",
    ".warmkessel.com",
    ".webs.vc",
    ".whyboner.com",
    ".wiki.gd",
    ".wikihotels.ru",
    ".wild1.net",
    ".wildsurf.net",
    ".winkel.com.ar",
    ".winnity.ro",
    ".with.mirkforce.de",
    ".wojb.org",
    ".wolmerica.com",
    ".womenclothingtoday.com",
    ".xpresit.net",
    ".xxxxx.tw",
    ".yao.cl",
    ".yngling.com",
    ".youpc.ro",
    ".your.my.id",
    ".yourspecialtee.com",
    ".z0d.eu",
    ".z86.ru",
    ".zaibar.ro",
    ".zanity.net",
    ".zee.ac",
    ".zgbi100.ru",
    ".zhilcontrol.ru",
    ".zonet.us",
    ".zsh.jp",
    ".zverovich.net",
    ".zvezdaringa.ru",
    ".zyix.com",
    # From subdomain.com: http://www.subdomain.com/
    ".asia.gp",
    ".biz.uz",
    ".co.gp",
    ".com.nu",
    ".eu.nu",
    ".mobi.ps",
    ".name.vu",
    ".online.gp",
    ".pro.vg",
    ".tv.gg",
    ".us.nf",
    ".web.gg",
    ".info.nu",
    # Other subdomains.
    ".ax.it",
    ".ro.it",
    # Add noip.com subdomains
    "access.ly",
    ".blogsyte.com",
    ".brasilia.me",
    ".cable-modem.org",
    ".ciscofreak.com",
    ".collegefan.org",
    ".couchpotatofries.org",
    ".damnserver.com",
    ".ddns.me",
    ".ditchyourip.com",
    ".dnsfor.me",
    ".dnsiskinky.com",
    ".dvrcam.info",
    ".dynns.com",
    ".eating-organic.net",
    ".fantasyleague.cc",
    ".geekgalaxy.com",
    ".golffan.us",
    ".health-carereform.com",
    ".homesecuritymac.com",
    ".homesecuritypc.com",
    ".hopto.me",
    ".hosthampster.com",
    ".ilovecollege.info",
    ".loginto.me",
    ".mlbfan.org",
    ".mmafan.biz",
    ".myactivedirectory.com",
    ".mydissent.net",
    ".myeffect.net",
    ".mymediapc.net",
    ".mypsx.net",
    ".mysecuritycamera.com",
    ".mysecuritycamera.net",
    ".mysecuritycamera.org",
    ".net-freaks.com",
    ".nflfan.org",
    ".nhlfan.net",
    ".pgafan.net",
    ".point2this.com",
    ".pointto.us",
    ".privatizehealthinsurance.net",
    ".quicksytes.com",
    ".read-books.org",
    ".securitytactics.com",
    ".serveexchange.com",
    ".servehumour.com",
    ".servep2p.com",
    ".servesarcasm.com",
    ".stufftoread.com",
    ".ufcfan.org",
    ".unusualperson.com",
    ".workisboring.com",
    ".3utilities.com",
    ".bounceme.net",
    ".ddns.net",
    ".ddnsking.com",
    ".freedynamicdns.net",
    ".freedynamicdns.org",
    ".gotdns.ch",
    ".hopto.org",
    ".myftp.biz",
    ".myftp.org",
    ".myvnc.com",
    ".onthewifi.com",
    ".redirectme.net",
    ".servebeer.com",
    ".serveblog.net",
    ".servecounterstrike.com",
    ".serveftp.com",
    ".servegame.com",
    ".servehalflife.com",
    ".servehttp.com",
    ".serveminecraft.net",
    ".servemp3.com",
    ".servepics.com",
    ".servequake.com",
    ".sytes.net",
    ".viewdns.net",
    ".webhop.me",
    ".zapto.org",
}
